Front-end Frameworks v2.6
====================

A collection of best front-end frameworks for faster and easier web development.

You can **Compare** all front-end frameworks here: http://usablica.github.com/front-end-frameworks/compare.html


## Cascade Framework

> Powerful OOCSS front-end framework optimised for performance and flexibility.

**Responsive:** Yes

**Website:** http://cascade-framework.com/

## Cascade Framework Light

> An even more lightweight version of Cascade Framework, containing just the bare essentials.

**Responsive:** Yes

**Website:** https://github.com/jslegers/cascadeframeworklight/

## Twitter Bootstrap

> Sleek, intuitive, and powerful front-end framework for faster and easier web development.

**Responsive:** Yes

**Website:** http://getbootstrap.com/

## Foundation

> The most advanced responsive front-end framework in the world.

Foundation is built with Sass, a powerful CSS preprocessor, which allows us to much more quickly develop Foundation itself and gives you new tools to quickly customize and build on top of Foundation.

**Responsive:** Yes

**Website:** http://foundation.zurb.com/

## PureCSS

> A set of small, responsive CSS modules that you can use in every web project, built by the YUI team at Yahoo!.

PureCSS is a collection of responsive 'drop-ins' built with - you guessed it! - pure CSS! The PureCSS website also has a skin builder on their website, so you're restricted by default colors no more.

**Responsive:** Yes

**Website:** http://purecss.io/

## 960 Grid System

> Simple grid system

The 960 Grid System is an effort to streamline web development workflow by providing commonly used dimensions, based on a width of 960 pixels. There are two variants: 12 and 16 columns, which can be used separately or in tandem.

**Responsive:** Yes

**Website:** http://960.gs/

## Skeleton

> A Beautiful Boilerplate for Responsive, Mobile-Friendly Development.

Skeleton is a small collection of CSS files that can help you rapidly develop sites that look beautiful at any size, be it a 17" laptop screen or an iPhone.

**Responsive:** Yes

**Website:** http://www.getskeleton.com/

## GroundworkCSS

A responsive framework with a fractional, semantic grid system built with Sass &amp; Compass.

**Responsive:** Yes

**Website:** http://groundworkcss.github.io/

## 99lime HTML KickStart

> Ultra–Lean HTML Building Blocks for Rapid Website Production.

HTML KickStart is an ultra–lean set of HTML5, CSS, and jQuery (javascript) files, layouts, and elements designed to give you a headstart and save you 10's of hours on your next web project.

**Responsive:** Yes

**Website:** http://www.99lime.com/

## Kube

> CSS-framework for professional developers.

Minimal and enough. Adaptive and responsive. Revolution grid and beautiful typography. No imposed styles and freedom.

**Responsive:** Yes

**Website:** http://imperavi.com/kube/

## Less Framework

> An adaptive CSS grid system.

Less Framework is a CSS grid system for designing adaptive web­sites. It contains 4 layouts and 3 sets of typography presets, all based on a single grid.

**Responsive:** Yes

**Website:** http://lessframework.com/

## Flaminwork

> The tiny front-end framework for lazy developers.

**Responsive:** No

**Website:** http://flaminwork.com/

## G5 Framework

> (X)HTML5, CSS3, PHP & jQuery Front End Framework.

G5 Framework started as a personal project. In an attempt to speed up workflow, reuse the best coding practices & similar coding techniques, the framework serves as a starter file for new websites.

**Responsive:** No

**Website:** http://framework.gregbabula.info/

## Easy Framework

> Your new starting point for every front-end projects!

Easy is a CSS/HTML/JavaScript framework started as a personal project and then grew into something more. The idea behind it is to reduce the amount of time spent on setting up the basic master HTML template by reusing the same coding techniques.

**Responsive:** No

**Website:** http://easyframework.com/

## Blueprint

Blueprint is a CSS framework, which aims to cut down on your development time. It gives you a solid foundation to build your project on top of, with an easy-to-use grid, sensible typography, useful plugins, and even a stylesheet for printing.

**Responsive:** No

**Website:** http://www.blueprintcss.org/

## YAML

> “Yet Another Multicolumn Layout” (YAML)

YAML is an (X)HTML/CSS framework for creating modern and flexible floated layouts. The structure is extremely versatile in its programming and absolutely accessible for end users.

**Responsive:** Yes

**Website:** http://www.yaml.de/

## BlueTrip

A full featured and beautiful CSS framework which originally combined the best of Blueprint, Tripoli (hence the name), Hartija, 960.gs, and Elements, but has now found a life of its own.

**Responsive:** No

**Website:** http://bluetrip.org/

## YUI CSS

> Simple CSS for the web

The foundational YUI CSS is an extremely lightweight layer of responsive CSS for your projects. It offers a customizable responsive grid , along with styling for forms, tables, menus, popovers, notifications, images and more. Plays nice with YUI's JavaScript Framework.

**Responsive:** Yes

**Website:** http://yuilibrary.com/

## Elements

> Elements is a down to earth CSS framework.

It was built to help designers write CSS faster and more efficient. Elements goes beyond being just a framework, it’s its own project workflow.It has everything you need to complete your project, which makes you and your clients happy.

**Responsive:** No

**Website:** http://elements.projectdesigns.org/

## 52framework

With HTML5 support coming so fast, with the tiniest of hacks we are able to use it today in virtually al browsers. Using HTML5 makes for much cleaner mark up. This framework fully uses all the great advantages of HTML5.

**Responsive:** No

**Website:** http://52framework.com/

## elastiCSS

A simple css framework to layout web-based interfaces, based on the printed layout techniques of 4 columns but with capabilities to  unlimited column combinations. and capacity to make elastic, fixed and liquid layout easily

**Responsive:** No

**Website:** http://elasticss.com/

## Boilerplate

> noun standardized pieces of text for use as clauses in contracts or as part of a computer program.

As one of the original authors of Blueprint CSS I’ve decided to re-factor my ideas into a stripped down framework which provides the bare essentials to begin any project. This framework will be lite and strive not to suggest un-semantic naming conventions. You’re the designer and your craft is important.

**Responsive:** No

**Website:** http://code.google.com/p/css-boilerplate/

## Emastic

Emastic is a CSS Framework, it’s continuing mission: to explore a strange new world, to seek out new life and new web spaces, to boldly go where no CSS Framework has gone before.

**Responsive:** No

**Website:** http://code.google.com/p/emastic/

## Malo

> Malo is ultra small css library for building web sites.

Malo is ultra small css library for building web sites. It is meant to be structural base for small or medium web sites. Malo derives from it’s bigger brother Emastic CSS Framework.

**Responsive:** No

**Website:** http://code.google.com/p/malo/

## The Golden Grid

The Golden Grid is a web grid system. It 's a product of the search for the perfect modern grid system. It 's meant to be a CSS tool for grid based web sites.

**Responsive:** No

**Website:** http://code.google.com/p/the-golden-grid/

## 1kb grid

Other CSS frameworks try to do everything—grid system, style reset, basic typography, form styles. But complex systems are, well, complex. Looking for a simple, lightweight approach that doesn't require a PhD? Meet The 1KB CSS Grid.

**Responsive:** No

**Website:** http://www.1kbgrid.com/

## Fluid 960 Grid System

The Fluid 960 Grid System templates have been built upon the work of Nathan Smith and his 960 Grid System using effects from the MooTools and jQuery JavaScript libraries.

**Responsive:** No

**Website:** http://www.designinfluences.com/fluid960gs/

## Baseline

> Baseline is a framework built around the idea of a “real” baseline grid.

Built with typographic standards in mind, Baseline makes it easy to develop a website with a pleasing grid and good typography. Baseline starts with several files to reset the browser’s default behavior, build a basic typographic layout — including style for HTML forms and new HTML 5 elements — and build a simple grid system.

**Responsive:** No

**Website:** http://www.baselinecss.com/

## Lovely CSS Framework

> The Lovely CSS Framework is a simple and straight forward way to easily deploy an XHTML/CSS site.

Based on a simple 960px wide grid system, featuring multiple column layouts, and various pluggable add-ons.

**Responsive:** No

**Website:** http://code.google.com/p/lovely-css/

## xCSS

> Object-Oriented CSS Framework

xCSS bases on CSS and empowers a straightforward and object-oriented workflow when developing complex style cascades. Using xCSS means a dramatic cut down to your development time by: having a intuitive overview of the overall CSS structure, using variables, re-using existing style cascades and many other handy features.

**Responsive:** No

**Website:** http://xcss.antpaw.org/

## FEM CSS Framework

FEM CSS Framework is a 960px width + 12 column grid system + CSS common styles, to easy and fast develop web layouts. It is based in the 960 Grid System, but with a twist in the philosophy to make it more flexible and faster to play with boxes.

**Responsive:** No

**Website:** http://www.frontendmatters.com/projects/fem-css-framework/

## Helium

Helium is a framework for rapid prototyping and production-ready development. In many ways it's similar to both Twitter Bootstrap and ZURB Foundation - in fact, it uses bits of their code. Unlike either of these two frameworks, however, Helium is designed to be much more lightweight and easier to tinker with.

**Responsive:** Yes

**Website:** https://github.com/cbrauckmuller/helium

## Gumby

Gumby is a responsive 960 grid CSS framework. The grid lets you lay out pages quickly and easily in a natural, logical way. The framework is packaged with tons of styles and common interface elements to help you quickly put together functional prototypes.

**Responsive:** Yes

**Website:** http://gumbyframework.com

## Unsemantic

Unsemantic is a fluid grid system that is the successor to the [960 Grid System](http://960.gs/). It works in a similar way, but instead of being a set number of columns, it's entirely based on percentages.

**Responsive:** Yes

**Website:** http://unsemantic.com/

## RÖCSSTI

RÖCSSTI is a CSS micro-framework which includes accessibility notions, typo settings, IE fixes, reusable classes, ect. It is the little brother of [KNACSS](http://www.knacss.com/). It also has LESS and Sass versions.

**Responsive:** Yes

**Website:** http://rocssti.nicolas-hoffmann.net/ & https://github.com/nico3333fr/ROCSSTI

## Pure

> A set of small, responsive CSS modules that you can use in every web project.

**Responsive:** Yes

**Website:** http://purecss.io/

## Ink

> Ink is a set of tools for quick development of web interfaces.

It offers a fluid and responsive grid, common interface elements, interactive components, a design-first approach with ease of use and simplicity at its core. Start integrating Ink in your projects and remove the hassle of building the basics, staying free to focus on what's important.

**Responsive:** Yes

**Website:** http://ink.sapo.pt/

**Github:** http://github.com/sapo/ink/

## Semantic UI

> UI is the vocabulary of the web.

Semantic empowers designers and developers by creating a language for sharing UI.

**Responsive:** Yes

**Website:** http://semantic-ui.com/

**Github:** https://github.com/jlukic/Semantic-UI

## Kickoff

> A lightweight front-end framework for creating scalable, responsive sites

Kickoff is an actively maintained front-end framework, created by Zander Martineau and Ashley Nolan.

The framework is not meant to be too prescriptive - we don't want to force developers into a certain coding style - and so can be used as a starting point for any type of project.

**Responsive:** Yes

**Website:** http://tmwagency.github.io/kickoff/

**Github:** https://github.com/tmwagency/kickoff

## Ribs

> The evolution of Skeleton: A Beautiful Boilerplate for Responsive, Mobile-Friendly Development.

Ribs is a modernised, maintained and feature rich fork of the original Skeleton framework.


**Responsive:** Yes

**Website:** https://github.com/nickpack/Ribs

## Layers

> Lightweight. Unobtrusive. Style-agnostic. Build your look on the web, not Twitter's – and build it fluid.

Layers CSS is aimed for practical use and comes with zero bullshit.

**Responsive:** Yes

**Website:** http://eiskis.net/layers/

**Bitbucket:** https://bitbucket.org/Eiskis/layers-css/src/tip/source/layers/

## Susy

> Your markup. Your design. Our math. 

The web is a responsive place, from your lithe & lively development process to your end-user's super-tablet-multi-magic-lap-phone. You need grids that are powerful yet custom, reliable yet responsive.

**Responsive:** Yes

**Website:** http://susy.oddbird.net/

**Github:** https://github.com/ericam/susy/

## Inuit.css

> A powerful, scalable, Sass-based, [BEM](http://bem.info/), OOCSS framework.

Inuit is a Sass based, Object Oriented framework that is full of objects and abstractions. inuit.css provides little-to-no design which means no undoing things, no deleting CSS and no adhering to other peoples’ design decisions.

**Responsive:** Yes

**Website:** http://inuitcss.com/

**Github:** https://github.com/csswizardry/inuit.css/